Attention is currently required from: pespin.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36254?usp=email )
Change subject: library: add templates for L1CTL_{DATA,TRAFFIC}_CONF
......................................................................
Patch Set 1:
(1 comment)
File library/L1CTL_Types.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36254/comment/b99e3af3_57f4…
PS1, Line 859: template L1ctlMessage
> > Just adding those would have been far quicker […]
Interestingly, if I understand ETSI ES 201 873-1 Table 13 "Restrictions of formal and actual template parameters" correctly, the TTCN-3 compiler *should* emit a warning if an unrestricted template is being assigned to a `(present)`-restricted formal template parameter.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36254?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I914555ac8bf2784c14e1b5564b116221ecc7b539
Gerrit-Change-Number: 36254
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 13 Mar 2024 19:14:32 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: fixeria <vyanitskiy(a)sysmocom.de>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: comment
Attention is currently required from: pespin.
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email
to look at the new patch set (#2).
The following approvals got outdated and were removed:
Verified-1 by Jenkins Builder
Change subject: jenkins.sh: use available Makefile, clean before building
......................................................................
jenkins.sh: use available Makefile, clean before building
The project needs to go through clean procedure to clean up the
generated diameter files, so that they are generated from newer dia
files again.
Change-Id: Id3f2d71c184cf387fa178d5138d401686a8d0a63
---
M contrib/jenkins.sh
1 file changed, 16 insertions(+), 3 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-epdg refs/changes/64/36264/2
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: Id3f2d71c184cf387fa178d5138d401686a8d0a63
Gerrit-Change-Number: 36264
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Jenkins Builder has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email )
Change subject: jenkins.sh: use available Makefile, clean before building
......................................................................
Patch Set 1:
(1 comment)
File contrib/jenkins.sh:
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-15078):
https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264/comment/03dacf3d_8830…
PS1, Line 5: make check
adding a line without newline at end of file
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: Id3f2d71c184cf387fa178d5138d401686a8d0a63
Gerrit-Change-Number: 36264
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-CC: Jenkins Builder
Gerrit-Comment-Date: Wed, 13 Mar 2024 19:10:14 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email )
Change subject: jenkins.sh: use available Makefile, clean before building
......................................................................
jenkins.sh: use available Makefile, clean before building
The project needs to go through clean procedure to clean up the
generated diameter files, so that they are generated from newer dia
files again.
Change-Id: Id3f2d71c184cf387fa178d5138d401686a8d0a63
---
M contrib/jenkins.sh
1 file changed, 16 insertions(+), 3 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-epdg refs/changes/64/36264/1
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 87eae34..c199021 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,5 +1,5 @@
#!/bin/sh -ex
-rebar3 compile
-rebar3 escriptize
-rebar3 eunit
+make clean || true
+make
+make check
\ No newline at end of file
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36264?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: Id3f2d71c184cf387fa178d5138d401686a8d0a63
Gerrit-Change-Number: 36264
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newchange
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36263?usp=email
to look at the new patch set (#2).
The following approvals got outdated and were removed:
Verified+1 by Jenkins Builder
Change subject: rebar.config: Update required OTP version 25.2.3
......................................................................
rebar.config: Update required OTP version 25.2.3
OTP from debian11 (23.2.6?) is not generating properly all the defines
in ./include/diameter_3gpp_ts29_273_swx.hrl, like
'REASON-CODE_PERMANENT_TERMINATION'.
Since anyway we need debian12 for other reasons, like newer kernel, then
also require OTP from debian12 which is known to not have those
problems. At the moment, debian12 OTP package version is 25.2.3.
Change-Id: I0ac7c93adbe88e1b738f1319cf1280c119ed59d1
---
M rebar.config
1 file changed, 18 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-epdg refs/changes/63/36263/2
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36263?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: I0ac7c93adbe88e1b738f1319cf1280c119ed59d1
Gerrit-Change-Number: 36263
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-MessageType: newpatchset
pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36263?usp=email )
Change subject: rebar.config: Update required OTP version 23.2.6
......................................................................
rebar.config: Update required OTP version 23.2.6
OTP from debian11 (22.2.7?) is not generating properly all the defines
in ./include/diameter_3gpp_ts29_273_swx.hrl, like
'REASON-CODE_PERMANENT_TERMINATION'.
Since anyway we need debian12 for other reasons, like newer kernel, then
also require OTP from debian12 which is known to not have those
problems. At the moment, debian12 OTP package version is 23.2.6.
Change-Id: I0ac7c93adbe88e1b738f1319cf1280c119ed59d1
---
M rebar.config
1 file changed, 18 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-epdg refs/changes/63/36263/1
diff --git a/rebar.config b/rebar.config
index 2403243..9337000 100644
--- a/rebar.config
+++ b/rebar.config
@@ -10,7 +10,7 @@
{osmo_gsup, {git, "https://gerrit.osmocom.org/erlang/osmo_gsup", {branch, "osmocom/epdg"}}}
]}.
-{minimum_otp_vsn, "20.3"}.
+{minimum_otp_vsn, "23.2.6"}.
{plugins, [
{rebar3_diameter_compiler,
{git, "https://github.com/carlosedp/rebar3_diameter_compiler.git", {tag, "0.8.0"}}}
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36263?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: I0ac7c93adbe88e1b738f1319cf1280c119ed59d1
Gerrit-Change-Number: 36263
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: fixeria, laforge, lynxis lazus.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email )
Change subject: Implement RTR Deregistration-Reason PERMANENT_TERMINATION
......................................................................
Patch Set 2:
(1 comment)
File src/aaa_diameter_swx_cb.erl:
https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262/comment/e481039a_4633…
PS2, Line 85: #'Deregistration-Reason'{'Reason-Code' = ?'REASON-CODE_PERMANENT_TERMINATION'} ->
src/aaa_diameter_swx_cb.erl:85:59: undefined macro 'REASON-CODE_PERMANENT_TERMINATION'
Weird, the macro is generated in my laptop when I build, but apparently not in the .hrl present/generated in jenkins:
include/diameter_3gpp_ts29_273_swx.hrl
2349:-ifndef('REASON-CODE_PERMANENT_TERMINATION').
2350:-define('REASON-CODE_PERMANENT_TERMINATION', 0).
Probably older OTP version which some diameter bug which has already been fixed in mine.
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: I57f2e02dc4034b63c118e4a4139b2830e38a2138
Gerrit-Change-Number: 36262
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Wed, 13 Mar 2024 18:33:21 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: laforge, lynxis lazus.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email )
Change subject: Implement RTR Deregistration-Reason PERMANENT_TERMINATION
......................................................................
Patch Set 2:
(1 comment)
File src/aaa_diameter_s6b.erl:
https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262/comment/6cf2f5d9_9345…
PS2, Line 153: Ret = diameter_call(ASR, State),
This one is ending up with "Error: encode", and I couldn't find yet the culprit:
18:15:53.642 [debug] S6b Tx ASR: {'ASR',["aaa.localdomain",";","1771858795",";","30",";","nonode@nohost"],undefined,undefined,undefined,undefined,16777272,"262422638508077",1,[]}
18:15:53.642 [debug] S6b prepare_request: {'ASR',["aaa.localdomain",";","1771858795",";","30",";","nonode@nohost"],"aaa.localdomain","localdomain","localdomain","pgw.localdomain",16777272,"262422638508077",1,[]}
18:15:53.643 [error] Error: encode
As a result test EPDG_Tests.TC_hss_initiated_deregister_permanent_termination fails, but the FSM takes into account the tx timeout and continues tear down of the whole stuff.
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: I57f2e02dc4034b63c118e4a4139b2830e38a2138
Gerrit-Change-Number: 36262
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-CC: Jenkins Builder
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Wed, 13 Mar 2024 18:20:50 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
pespin has uploaded a new patch set (#2). ( https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email )
Change subject: Implement RTR Deregistration-Reason PERMANENT_TERMINATION
......................................................................
Implement RTR Deregistration-Reason PERMANENT_TERMINATION
Change-Id: I57f2e02dc4034b63c118e4a4139b2830e38a2138
---
M config/sys.config
M src/aaa_diameter_s6b.erl
M src/aaa_diameter_s6b_cb.erl
M src/aaa_diameter_swm.erl
M src/aaa_diameter_swx_cb.erl
M src/aaa_ue_fsm.erl
M src/conv.erl
M src/epdg_diameter_swm.erl
M src/epdg_ue_fsm.erl
9 files changed, 294 insertions(+), 35 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo-epdg refs/changes/62/36262/2
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-epdg/+/36262?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo-epdg
Gerrit-Branch: master
Gerrit-Change-Id: I57f2e02dc4034b63c118e4a4139b2830e38a2138
Gerrit-Change-Number: 36262
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset